package com.qmth.paper.library.business.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.github.jeffreyning.mybatisplus.anno.MppMultiId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 考生课程表
 * </p>
 *
 * @author xf
 * @since 2024-03-11
 */
@TableName("exam_course")
@ApiModel(value = "ExamCourse对象", description = "考生课程表")
public class ExamCourse implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "考试ID")
    @JsonSerialize(using = ToStringSerializer.class)
    @MppMultiId(value = "exam_id")
    private Long examId;

    @ApiModelProperty(value = "课程代码")
    @MppMultiId(value = "course_code")
    private String courseCode;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    public ExamCourse() {
    }

    public ExamCourse(Long examId, String courseCode) {
        this.examId = examId;
        this.courseCode = courseCode;
    }

    public ExamCourse(Long examId, String courseCode, String courseName) {
        this.examId = examId;
        this.courseCode = courseCode;
        this.courseName = courseName;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    @Override
    public String toString() {
        return "ExamCourse{" +
                ", examId=" + examId +
                ", courseCode=" + courseCode +
                ", courseName=" + courseName +
                "}";
    }
}
